Subject: Re: bug#5723: 23.1.94; make-network-process and emacs hangs

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Thu, 18 Mar 2010 20:01:11 +0900

>>>>> On Thu, 18 Mar 2010 10:47:22 +0000, Leo <[email-masked]> said:

>> Perhaps we can try to see if removal of the `turn_on_atimers' calls
>> around `connect' can solve the problem without introducing any bad
>> effect.  If it works, then it will contribute not only to the Mac
>> port but also the NS port and non-SIGIO systems such as Solaris 8.

> I tried that and I can now quit with C-g although not as immediate as
> in the X11 build.

Thanks for testing.  The delay was expected because the use of atimer
means periodic polling.  Unlike X11, window events for Carbon or Cocoa
don't come from socket, so we can't use SIGIO.

				     YAMAMOTO Mitsuharu
				[email-masked]